Package Details: gst-python-git 1.22.0.r1733.g8b5833c546-1

Git Clone URL: https://aur.archlinux.org/gstreamer-git.git (read-only, click to copy)
Package Base: gstreamer-git
Description: GStreamer Multimedia Framework (Git version) - python plugin
Upstream URL: http://gstreamer.freedesktop.org/
Keywords: glib streaming video
Licenses: LGPL
Conflicts: gst-python
Provides: gst-python
Submitter: KerrickStaley
Maintainer: SolarAquarion (lubosz)
Last Packager: SolarAquarion
Votes: 21
Popularity: 0.000001
First Submitted: 2012-12-21 06:28 (UTC)
Last Updated: 2023-08-06 23:18 (UTC)

Required by (34)

Sources (4)

Latest Comments

1 2 3 4 5 6 .. 8 Next › Last »

hashworks commented on 2023-10-26 09:34 (UTC)

The 0001-arch-has-liblc3-as-lc3.patch has a wrong checksum and fails anyway:

==> Starting prepare()...
Applied patch to 'subprojects/gst-plugins-good/ext/qt/meson.build' cleanly.
error: subprojects/gst-plugins-bad/ext/lc3/meson.build: does not exist in index
error: subprojects/liblc3.wrap: does not exist in index

It is from 2001. Is it really needed?

MarsSeed commented on 2023-08-15 22:26 (UTC)

The problem mentioned by @Managor is because this PKGBUILD defines both jack and jack2 in makedepends.

Solution: remove jack2 from makedepends, as that is unneeded. The common interface name is jack, that is what 'jack2' and 'pipewire-jack' provides.

Managor commented on 2023-08-11 06:27 (UTC)

This package wants to forcefully replace pipewire-jack with jack. This should be fixed so that it accepts pipewire-jack

MarsSeed commented on 2023-08-03 15:59 (UTC)

This package should mimic Arch repo's gstreamer dependency configuration, and not be a 'gstreamer-full-git' package.

E.g. this should not support openni2, which is a discontinued project and whose last release was in 2014.

RAMChYLD commented on 2023-07-16 17:58 (UTC) (edited on 2023-07-16 18:10 (UTC) by RAMChYLD)

juxuanu commented on 2021-10-06 23:27 (UTC)

gstreamer/meson.build:109:0: ERROR: Automatic wrap-based subproject downloading is disabled

Getting the same error. I suspect it may be looking for liblc3.

My last error before that error:

gst-plugins-bad| Run-time dependency liblc3 found: NO (tried pkgconfig and cmake)

gst-plugins-bad| Looking for a fallback subproject for the dependency liblc3

kode54 commented on 2023-01-29 21:59 (UTC)

Here's an update that includes the latest docs version, and also adds provides values to every component. It also replaces some double quotes with single quotes, not sure how useful that is.

diff --git a/PKGBUILD b/PKGBUILD
index f7b2f03..e473f1e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -26,9 +26,9 @@ pkgname=(
   gst-devtools-git
   gstreamer-docs-git
 )
-pkgver=1.21.3.r66.g3fa6651d91
+pkgver=1.22.0.r153.g9a300fc501
 pkgrel=1
-_pkgver=1.21.1
+_pkgver=1.22.0
 pkgdesc='GStreamer Multimedia Framework (Git version)'
 arch=('i686' 'x86_64')
 license=('LGPL')
@@ -90,7 +90,7 @@ _gitname='gstreamer'
 source=('git+https://gitlab.freedesktop.org/gstreamer/gstreamer'
         "https://gstreamer.freedesktop.org/src/gstreamer-docs/gstreamer-docs-${_pkgver%%+*}.tar.xz")
 md5sums=('SKIP'
-         '6d123b1279d3f53bf677043b0d7a6686')
+         '75946c02fe05b952464b86c4a1d35f60')

 pkgver() {
   cd $_gitname
@@ -170,6 +170,7 @@ package_gstreamer-git() {
   depends=(libxml2 glib2 libunwind libcap libelf)
   optdepends=('python: gst-plugins-doc-cache-generator')
   conflicts=('gstreamer')
+  provides=('gstreamer=$pkgver')
   install=gstreamer.install

   DESTDIR="$srcdir/root" meson install -C build
@@ -209,7 +210,8 @@ package_gst-plugins-bad-libs-git() {
     "gst-plugins-base-libs-git=$pkgver"
     orc libdrm libx11 libgudev libusb libxkbcommon-x11 libnice
   )
-  conficts=('gst-plugin-bad-libs')
+  conficts=('gst-plugins-bad-libs')
+  provides=("gst-plugins-bad-libs=$pkgver")

   cd root; local files=(
     usr/include/gstreamer-1.0/gst/audio/{audio-bad-prelude,gstnonstreamaudiodecoder,gstplanaraudioadapter}.h
@@ -313,7 +315,8 @@ package_gst-plugins-base-libs-git() {
     "gstreamer-git=$pkgver"
     orc libxv iso-codes libgudev libgl mesa libxi
   )
-  conficts=('gst-plguin-base-lib')
+  conficts=('gst-plugins-base-libs')
+  provides=("gst-plugins-base-libs=$pkgver")

   cd root; local files=(
     usr/include/gstreamer-1.0/gst/{allocators,app,audio,fft,gl,pbutils,riff,rtp,rtsp,sdp,tag,video}
@@ -364,7 +367,8 @@ package_gst-plugins-base-git() {
     alsa-lib cdparanoia libvisual libvorbis libtheora pango opus graphene libpng
     libjpeg libtremor-git
   )
-  conflicts=('gst-plugin-base')
+  conflicts=('gst-plugins-base')
+  provides=("gst-plugins-base=$pkgver")

   cd root; local files=(
     usr/lib/gstreamer-1.0/libgstalsa.so
@@ -389,7 +393,8 @@ package_gst-plugins-good-git() {
     libgudev speex flac libraw1394 lame mpg123 twolame qt6-wayland
     libjack.so
   )
-  conflicts=('gst-plugin-good')
+  conflicts=('gst-plugins-good')
+  provides=("gst-plugins-good=$pkgver")

   cd root; local files=(
     usr/lib/gstreamer-1.0/libgst1394.so
@@ -486,6 +491,7 @@ package_gst-plugins-bad-git() {
     openni2 gtk3 vo-amrwbenc openh264 flite1
   )
   conficts=('gst-plugins-bad')
+  provides=("gst-plugins-bad=$pkgver")

   cd root; local files=(
     usr/lib/gstreamer-1.0/libgstaes.so
@@ -568,6 +574,7 @@ package_gst-plugin-gtk-git() {
   pkgdesc+=" - gtk plugin"
   depends=("gst-plugins-base-libs-git=$pkgver" gtk3)
   conflicts=('gst-plugin-gtk')
+  provides=("gst-plugin-gtk=$pkgver")

   cd root; local files=(
     usr/lib/gstreamer-1.0/libgstgtk.so
@@ -578,6 +585,7 @@ package_gst-plugin-msdk-git() {
   pkgdesc+=" - msdk plugin"
   depends=("gst-plugins-bad-libs-git=$pkgver" libmfx libva)
   conflicts=('gst-plugin-msdk')
+  provides=("gst-plugin-msdk=$pkgver")

   cd root; local files=(
     usr/lib/gstreamer-1.0/libgstmsdk.so
@@ -588,6 +596,7 @@ package_gst-plugin-opencv-git() {
   pkgdesc+=" - opencv plugin"
   depends=("gst-plugins-base-libs-git=$pkgver" opencv)
   conflicts=('gst-plugin-opencv')
+  provides=("gst-plugin-opencv=$pkgver")

   cd root; local files=(
     usr/include/gstreamer-1.0/gst/opencv
@@ -603,7 +612,8 @@ package_gst-plugin-qmlgl-git() {
     "gst-plugins-base-libs-git=$pkgver"
     qt5-declarative qt5-x11extras qt5-wayland
   )
-  conflicts=("gst-plugin-qmlgl")
+  conflicts=('gst-plugin-qmlgl')
+  provides=("gst-plugin-qmlgl=$pkgver")

   cd root; local files=(
     usr/lib/gstreamer-1.0/libgstqmlgl.so
@@ -613,7 +623,8 @@ package_gst-plugin-qmlgl-git() {
 package_gst-plugin-va-git() {
   pkgdesc+=" - va plugin"
   depends=("gst-plugins-bad-libs-git=$pkgver" libva)
-  conflicts=("gst-plugin-va")
+  conflicts=('gst-plugin-va')
+  provides=("gst-plugin-va=$pkgver")

   cd root; local files=(
     usr/lib/libgstva-1.0.so*
@@ -625,7 +636,8 @@ package_gst-plugin-va-git() {
 package_gst-plugin-cuda-git() {
   pkgdesc+=" - cuda plugin"
   depends=("gst-plugins-bad-libs=$pkgver" cuda)
-  conflicts=("gst-plugin-cuda")
+  conflicts=('gst-plugin-cuda')
+  provides=("gst-plugin-cuda=$pkgver")

   cd root; local files=(
     usr/include/gstreamer-1.0/gst/cuda/cuda-prelude.h
@@ -649,6 +661,7 @@ package_gst-plugin-wpe-git() {
   pkgdesc+=" - wpe plugin"
   depends=("gst-plugins-base-libs-git=$pkgver" wpewebkit)
   conficts=('gst-plugin-wpe')
+  provides=("gst-plugin-wpe=$pkgver")

   cd root; local files=(
     usr/lib/gstreamer-1.0/libgstwpe.so
@@ -663,6 +676,7 @@ package_gst-plugins-ugly-git() {
     libdvdread libmpeg2 a52dec libsidplay libcdio x264 opencore-amr
   )
   conflicts=('gst-plugins-ugly')
+  provides=("gst-plugins-ugly=$pkgver")

   cd root; local files=(
     usr/lib/gstreamer-1.0/libgsta52dec.so
@@ -690,6 +704,7 @@ package_gst-libav-git() {
   depends=("gst-plugins-base-libs=$pkgver" bzip2 ffmpeg)
   provides=("gst-ffmpeg=$pkgver")
   conflicts=('gst-libav')
+  provides=("gst-libav=$pkgver")

   cd root; local files=(
     usr/lib/gstreamer-1.0/libgstlibav.so
@@ -700,6 +715,7 @@ package_gst-rtsp-server-git() {
   pkgdesc+=" - rtsp server"
   depends=("gst-plugins-base-libs=$pkgver")
   conflicts=('gst-rtsp-server')
+  provides=("gst-rtsp-server=$pkgver")

   cd root; local files=(
     usr/include/gstreamer-1.0/gst/rtsp-server
@@ -716,6 +732,7 @@ package_gst-editing-services-git() {
   pkgdesc+=" - editing services"
   depends=("gst-plugins-base-libs=$pkgver" python-gobject)
   conflicts=('gst-editing-services')
+  provides=("gst-editing-services=$pkgver")

   cd root; local files=(
     usr/include/gstreamer-1.0/ges
@@ -742,7 +759,8 @@ package_gst-editing-services-git() {
 package_gstreamer-vaapi-git() {
   pkgdesc+=" - vaapi plugin"
   depends=("gst-plugins-base-libs-git=$pkgver" libva libxrandr)
-  conflicts=('gst-vaapi')
+  conflicts=('gst-vaapi' 'gstreamer-vaapi')
+  provides=("gstreamer-vaapi=$pkgver")
   cd root; local files=(
   usr/include/gstreamer-1.0/gst/va/va-enumtypes.h
   usr/include/gstreamer-1.0/gst/va/gstva.h
@@ -758,7 +776,6 @@ package_gstreamer-vaapi-git() {
   usr/lib/gstreamer-1.0/libgstvaapi.so
   usr/lib/girepository-1.0/GstVa-1.0.typelib

-  usr/lib/gstreamer-1.0/pkgconfig/gstvaapi.pc
   usr/lib/pkgconfig/gstreamer-va-1.0.pc
   usr/share/gir-1.0/GstVa-1.0.gir

@@ -769,6 +786,7 @@ package_gst-python-git() {
   pkgdesc+=" - python plugin"
   depends=("gst-plugins-base-libs-git=$pkgver" python-gobject)
   conflicts=('gst-python')
+  provides=("gst-python=$pkgver")

   cd root; local files=(
     usr/lib/gstreamer-1.0/libgstpython.so
@@ -782,7 +800,8 @@ package_gst-python-git() {
 package_gst-devtools-git() {
   pkgdesc+=" - subset of devtools"
   depends=(python)
-  conflicts=("gst-devtools")
+  conflicts=('gst-devtools')
+  provides=("gst-devtools=$pkgver")
   cd root; local files=(
   usr/lib/gst-validate-launcher/python/launcher/apps/geslaunch.py
   usr/share/gstreamer-1.0/validate/scenarios/ges-edit-clip-while-paused.scenario
@@ -791,7 +810,8 @@ package_gst-devtools-git() {
 }
 package_gstreamer-docs-git() {
   pkgdesc+=" - documentation"
-  conflicts=('gstream-docs')
+  conflicts=('gstreamer-docs')
+  provides=("gstreamer-docs=$pkgver")
   license=(GPL3 LGPL custom:BSD custom:CC-BY-SA-4.0 custom:MIT custom:OPL)

   # make sure there are no files left to install

bittin commented on 2023-01-17 13:34 (UTC)

1.22.0 rc1 is now up

takaomag commented on 2022-12-21 00:36 (UTC)

Thank you SolarAquarion. These packages are now based on latest git.